org.eclipse.rdf4j.repository.config

## Class RepositoryConfigSchema

- java.lang.Object
- - org.eclipse.rdf4j.repository.config.RepositoryConfigSchema

-     public class RepositoryConfigSchema
      extends Object

  Defines constants for the repository configuration schema that is used by `RepositoryManager`s.
  Author:
    Arjohn Kampman

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IRI` | `DELEGATE` `http://www.openrdf.org/config/repository#delegate`
    `static String` | `NAMESPACE` The HTTPRepository schema namespace (`http://www.openrdf.org/config/repository#`).
    `static IRI` | `REPOSITORY` `http://www.openrdf.org/config/repository#Repository`
    `static IRI` | `REPOSITORY_CONTEXT` `http://www.openrdf.org/config/repository#RepositoryContext`
    `static IRI` | `REPOSITORYID` `http://www.openrdf.org/config/repository#repositoryID`
    `static IRI` | `REPOSITORYIMPL` `http://www.openrdf.org/config/repository#repositoryImpl`
    `static IRI` | `REPOSITORYTYPE` `http://www.openrdf.org/config/repository#repositoryType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepositoryConfigSchema()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The HTTPRepository schema namespace (`http://www.openrdf.org/config/repository#`).
      See Also:
        Constant Field Values

    - #### REPOSITORY_CONTEXT

          public static final IRI REPOSITORY_CONTEXT

      `http://www.openrdf.org/config/repository#RepositoryContext`

    - #### REPOSITORY

          public static final IRI REPOSITORY

      `http://www.openrdf.org/config/repository#Repository`

    - #### REPOSITORYID

          public static final IRI REPOSITORYID

      `http://www.openrdf.org/config/repository#repositoryID`

    - #### REPOSITORYIMPL

          public static final IRI REPOSITORYIMPL

      `http://www.openrdf.org/config/repository#repositoryImpl`

    - #### REPOSITORYTYPE

          public static final IRI REPOSITORYTYPE

      `http://www.openrdf.org/config/repository#repositoryType`

    - #### DELEGATE

          public static final IRI DELEGATE

      `http://www.openrdf.org/config/repository#delegate`

  - ### Constructor Detail

    - #### RepositoryConfigSchema

          public RepositoryConfigSchema()

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.